## pytables 3.2.1

=== debian/changelog ===
pytables (3.2.1-1~nd90+1) stretch; urgency=low

  * Backported for stretch.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 14 Aug 2015 19:15:11 -0400

pytables (3.2.1-1) unstable; urgency=medium

  * New upstream version
  * Fix debian/watch file
  * Update copyright file
  * Update authors in debian/python-tables-doc.doc-base
  * debian/control
    - updated dependencies versions
    - added build-dependeny from setuptools
    - stamdards version bumped to 3.9.6 (no change)
    - update vcs URLs to the new recommended format
    - remove deprecated XS-Testsuite field
    - general update and reformatting (suggested by cme fix dpkg-control)
    - run tests with utf-8 locale (patch form Barry Warsaw <barry@ubuntu.com>)
  * debian/rules
    - make build reproducible
  * debian/patches
    - refresh all patches
    - drop 0003-Better-control-of-verbosity-in-unittests.patch
      (applied upstream)
    - drop 0006-fix-an-import-issue-with-cython-newer-than-0.20.2.patch
      (applied upstream)
    - drop 0007-Temporay-desable-tests-that-use-the-lz4-conpressor.patch
      no longer needed.
      The issue with lz4 compressor on s39x has been fixed in lz4_0.0~r122-1.
    - new 0005-Fix-setitem-return-value.patch patch for Python 3.5 compatibility
      (patch form Barry Warsaw <barry@ubuntu.com>). Closes: #795333.
  * README.txt has been renamed into README.rst upsream.
    Updated python-pytables*.docs files.
  * New manpage for the pttree utility

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 14 Aug 2015 19:42:08 +0000

pytables (3.1.1-3) unstable; urgency=medium

  * New patch:
    0007-Temporay-desable-tests-that-use-the-lz4-conpressor.patch
    The patch temporay desables tests that use the lz4 conpressor
    on the s390x platform (see #757581 for more details).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 15 Aug 2014 07:37:41 +0000

pytables (3.1.1-2) unstable; urgency=medium

  * Support hdf5 1.8.13 new packaging layout (Closes: #756694)
  * debian/patches
    - new patch that fixes an import issue with cython > 0.20.2
  * debian/control
    - added an explicit build dependency from dh-python

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 04 Aug 2014 21:29:17 +0000

pytables (3.1.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - debug package now depend on python(3)-dbg, python(3)-numpy-dbg,
      pyhon(3)-numexpr-dbg instead of recommending them
      (Closes: #742557)
    - use versioned dependency for lzo (>= 0.0~r114) since one of the
      symbols used in blosc is missing in earlier versions
  * debian/patches
    - new patch (0003-Better-control-of-verbosity-in-unittests.patch)
      for better control of verbosity in unittests
    - new patch 0005-Do-not-fetch-icons-for-external-web-sites.patch
      to avoid fetching data from external web sites in html pages of
      the doc
    - the 0003-Only-use-msse2-flag-on-x86_64.patch has been updated
      after the upstream changes and renamed into
      0004-Never-use-the-msse2-flag-explicitly.patch
    - all remaining patches has been refreshed

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 12 Apr 2014 19:02:49 +0000
