=== debian/control ===
Source: pytables
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>,
           Yaroslav Halchenko <debian@onerussian.com>
Section: python
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9.0.0),
               dh-python,
               locales,
               libhdf5-dev,
               python-all-dev,
               python-all-dbg,
               python3-all-dev,
               python3-all-dbg,
               python-setuptools,
               python3-setuptools,
               python-numpy,
               python-numpy-dbg,
               python3-numpy,
               python3-numpy-dbg,
               python-numexpr,
               python-numexpr-dbg,
               python3-numexpr,
               python3-numexpr-dbg,
               cython (>= 0.14),
               cython-dbg,
               cython3,
               cython3-dbg,
               zlib1g-dev,
               liblzo2-dev,
               liblz4-dev (>= 0.0~r122),
               libsnappy-dev,
               libbz2-dev,
               python-sphinx (>= 1.0.7+dfsg),
               texlive-latex-recommended,
               texlive-latex-extra,
               texlive-fonts-recommended,
               libjs-jquery-cookie
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pytables.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/pytables.git
Homepage: http://www.pytables.org
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-tables
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         python-tables-lib (>= ${source:Version}),
         python-tables-lib (<< ${source:Version}.1~),
         python-tables-data (= ${source:Version}),
         python-numexpr
Recommends: ${shlibs:Recommends}
Suggests: python-tables-doc,
          python-netcdf,
          ${shlibs:Suggests},
          vitables
Description: hierarchical database for Python based on HDF5
 PyTables is a hierarchical database package designed to efficiently
 manage very large amounts of data. PyTables is built on top of the
 HDF5 library and the NumPy package. It features an object-oriented
 interface that, combined with natural naming and C-code generated
 from Pyrex sources, makes it a fast, yet extremely easy to use tool
 for interactively save and retrieve large amounts of data.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy, Numeric and numarray objects.
 .
 This is the Python 2 version of the package.

Package: python-tables-lib
Architecture: any
Depends: neurodebian-popularity-contest, ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: ${shlibs:Recommends},
            python-tables (= ${source:Version})
Breaks: python-tables (<< 3.0.0-3)
Replaces: python-tables (<< 3.0.0-3)
Description: hierarchical database for Python based on HDF5 (extension)
 PyTables is a hierarchical database package designed to efficiently
 manage very large amounts of data. PyTables is built on top of the
 HDF5 library and the NumPy package. It features an object-oriented
 interface that, combined with natural naming and C-code generated
 from Pyrex sources, makes it a fast, yet extremely easy to use tool
 for interactively save and retrieve large amounts of data.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy, Numeric and numarray objects.
 .
 This package contains the extension built for the Python 2 interpreter.

Package: python-tables-dbg
Architecture: any
Section: debug
Priority: extra
Depends: neurodebian-popularity-contest, ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         python-tables (= ${source:Version}),
         python-tables-lib (= ${binary:Version}),
         python-dbg,
         python-numpy-dbg,
         python-numexpr-dbg
Recommends: ${shlibs:Recommends}
Suggests: python-tables-doc,
          python-netcdf,
          ${shlibs:Suggests}
Description: hierarchical database for Python based on HDF5 (debug extension)
 PyTables is a hierarchical database package designed to efficiently
 manage very large amounts of data. PyTables is built on top of the
 HDF5 library and the NumPy package. It features an object-oriented
 interface that, combined with natural naming and C-code generated
 from Pyrex sources, makes it a fast, yet extremely easy to use tool
 for interactively save and retrieve large amounts of data.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy, Numeric and numarray objects.
 .
 This package contains the extension built for the Python 2 debug interpreter.

Package: python3-tables
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-tables-lib (>= ${source:Version}),
         python3-tables-lib (<< ${source:Version}.1~),
         python-tables-data (= ${source:Version}),
         python3-numexpr
Recommends: ${shlibs:Recommends}
Suggests: python-tables-doc,
          python-netcdf,
          ${shlibs:Suggests},
          vitables
Description: hierarchical database for Python3 based on HDF5
 PyTables is a hierarchical database package designed to efficiently
 manage very large amounts of data. PyTables is built on top of the
 HDF5 library and the NumPy package. It features an object-oriented
 interface that, combined with natural naming and C-code generated
 from Pyrex sources, makes it a fast, yet extremely easy to use tool
 for interactively save and retrieve large amounts of data.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy, Numeric and numarray objects.
 .
 This is the Python 3 version of the package.

Package: python3-tables-lib
Architecture: any
Depends: neurodebian-popularity-contest, ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: ${shlibs:Recommends},
            python3-tables (= ${source:Version})
Breaks: python3-tables (<< 3.0.0-3)
Replaces: python3-tables (<< 3.0.0-3)
Description: hierarchical database for Python3 based on HDF5 (extension)
 PyTables is a hierarchical database package designed to efficiently
 manage very large amounts of data. PyTables is built on top of the
 HDF5 library and the NumPy package. It features an object-oriented
 interface that, combined with natural naming and C-code generated
 from Pyrex sources, makes it a fast, yet extremely easy to use tool
 for interactively save and retrieve large amounts of data.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy, Numeric and numarray objects.
 .
 This package contains the extension built for the Python 3 interpreter.

Package: python3-tables-dbg
Architecture: any
Section: debug
Priority: extra
Depends: neurodebian-popularity-contest, ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-tables (= ${source:Version}),
         python3-tables-lib (= ${binary:Version}),
         python3-dbg,
         python3-numpy-dbg,
         python3-numexpr-dbg
Recommends: ${shlibs:Recommends}
Suggests: python-tables-doc,
          python-netcdf,
          ${shlibs:Suggests}
Description: hierarchical database for Python 3 based on HDF5 (debug extension)
 PyTables is a hierarchical database package designed to efficiently
 manage very large amounts of data. PyTables is built on top of the
 HDF5 library and the NumPy package. It features an object-oriented
 interface that, combined with natural naming and C-code generated
 from Pyrex sources, makes it a fast, yet extremely easy to use tool
 for interactively save and retrieve large amounts of data.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy, Numeric and numarray objects.
 .
 This package contains the extension built for the Python 3 debug interpreter.

Package: python-tables-doc
Architecture: all
Section: doc
Depends: neurodebian-popularity-contest, ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-jquery-cookie
Suggests: xpdf | pdf-viewer,
          www-browser
Description: hierarchical database for Python based on HDF5 - documentation
 PyTables is a hierarchical database package designed to efficiently
 manage very large amounts of data. PyTables is built on top of the
 HDF5 library and the NumPy package. It features an object-oriented
 interface that, combined with natural naming and C-code generated
 from Pyrex sources, makes it a fast, yet extremely easy to use tool
 for interactively save and retrieve large amounts of data.
 .
 This package includes the manual in PDF and HTML formats.

Package: python-tables-data
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}
Description: hierarchical database for Python based on HDF5 - test data
 PyTables is a hierarchical database package designed to efficiently
 manage very large amounts of data. PyTables is built on top of the
 HDF5 library and the NumPy package. It features an object-oriented
 interface that, combined with natural naming and C-code generated
 from Pyrex sources, makes it a fast, yet extremely easy to use tool
 for interactively save and retrieve large amounts of data.
 .
 This package includes daya fils used for unit testing.
