=== debian/changelog ===
pytables (3.2.2-2) unstable; urgency=medium

  * debian/patches
    - new 0005-fix-index-inheritance-order.patch to fix the
      inheritance order of the Index class (Closes: #818501)
  * debian/copyright
    - use unambiguous license naae (expat nstead of MIT)
    - fix LZ4 source code URL
  * debian/control
    - standard version bumped to 3.9.7 (no change required)
    - fix VCS URL
    - remove not necessary version numbers from build dependency
      specification
  * debian/patches
    - improved formatting of 0003-Never-use-the-msse2-flag-explicitly.patch
  * Fix typos in manpages

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 27 Mar 2016 08:22:15 +0000

pytables (3.2.2-1) unstable; urgency=medium

  * New upstream release (Closes: #800466)
  * debian/patches:
    - drop 0005-Fix-setitem-return-value.patch (applied upstream)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 03 Oct 2015 16:33:36 +0000
