=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: pytables
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>,
            Yaroslav Halchenko <debian@onerussian.com>
 Section: python
@@ -24,7 +23,7 @@
                python-numexpr-dbg,
                python3-numexpr,
                python3-numexpr-dbg,
-               cython (>= 0.14),
+               cython,
                cython-dbg,
                cython3,
                cython3-dbg,
@@ -33,21 +32,21 @@
                liblz4-dev (>= 0.0~r122),
                libsnappy-dev,
                libbz2-dev,
-               python-sphinx (>= 1.0.7+dfsg),
+               python-sphinx,
                texlive-latex-recommended,
                texlive-latex-extra,
                texlive-fonts-recommended,
                libjs-jquery-cookie
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pytables.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/pytables.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pytables.git
 Homepage: http://www.pytables.org
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 
 Package: python-tables
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends},
+Depends: ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends},
          python-tables-lib (>= ${source:Version}),
@@ -80,7 +79,7 @@
 
 Package: python-tables-lib
 Architecture: any
-Depends: neurodebian-popularity-contest, ${misc:Depends},
+Depends: ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
 Recommends: ${shlibs:Recommends},
@@ -110,7 +109,7 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: neurodebian-popularity-contest, ${misc:Depends},
+Depends: ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends},
          python-tables (= ${source:Version}),
@@ -143,7 +142,7 @@
 
 Package: python3-tables
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends},
+Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
          python3-tables-lib (>= ${source:Version}),
@@ -176,7 +175,7 @@
 
 Package: python3-tables-lib
 Architecture: any
-Depends: neurodebian-popularity-contest, ${misc:Depends},
+Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
 Recommends: ${shlibs:Recommends},
@@ -206,7 +205,7 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: neurodebian-popularity-contest, ${misc:Depends},
+Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
          python3-tables (= ${source:Version}),
@@ -240,7 +239,7 @@
 Package: python-tables-doc
 Architecture: all
 Section: doc
-Depends: neurodebian-popularity-contest, ${misc:Depends},
+Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
          libjs-jquery-cookie
 Suggests: xpdf | pdf-viewer,
@@ -257,7 +256,7 @@
 
 Package: python-tables-data
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}
+Depends: ${misc:Depends}
 Description: hierarchical database for Python based on HDF5 - test data
  PyTables is a hierarchical database package designed to efficiently
  manage very large amounts of data. PyTables is built on top of the
